<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<div class="book_container<?php echo $params->get('moduleclass_sfx'); ?>">
<?php
$css=($params->get('float_left'))?'style="float: left;"':'';
$css_position=$params->get('position')?'vertical':'horizontal';
$books_x_row=$params->get('books_x_row');
$n=0;
foreach ($list as $item) :
$n++;
?>
        <div class="list_<?php echo $css_position; ?>_book<?php echo $params->get('moduleclass_sfx'); ?>">
		<?php if ($params->get('show_image')){ ?>
                <p <?php echo $css; ?> class="item-image pull-left cover<?php echo $params->get('moduleclass_sfx'); ?>">
                        <a href="<?php echo $item->link; ?>">
                                <img class="img-polaroid" src="<?php echo $item->image; ?>" width="80px" alt="<?php echo $item->title; ?>" />
                        </a>
                </p>
		<?php } ?>
		<div class="book_data<?php echo $params->get('moduleclass_sfx'); ?>">
			<?php if ($params->get('show_date', 0)){ ?>
                                <p><?php echo $item->dateinsert; ?></p>
                        <?php } ?>
			<?php if ($params->get('show_title')){ ?>
                		<p><a href="<?php echo $item->link; ?>" class="book_title"><?php echo $item->title; ?></a></p>
			<?php } ?>
			<?php if ($params->get('show_author')) { ?>
                                <p><?php echo $item->editedby==1 ? JText::_('MOD_ABOOK_ALLINONE_EDITED_BY')." " : JText::_('MOD_ABOOK_ALLINONE_BY')." ";?> <span class="author"><?php echo $item->author; ?></span></p>
                        <?php } ?>
			<?php if ($params->get('show_text')){ ?>
                		<p><?php echo $item->text; ?></p>
	                <?php } ?>
        	        <?php if ($params->get('show_link_cat')){ ?>
				<p><?php echo JText::_('MOD_ABOOK_ALLINONE_CATEGORY'); ?>: <a href="<?php echo $item->catlink; ?>" class="book_cat"><?php echo $item->catname; ?></a></p>
			<?php } ?>
		</div>
		<div class="clearfix clr"></div>
        </div>
<?php 
	if ($n==$books_x_row){?>
		<div class="clearfix clr"></div>
		<hr>
		<?php $n=0;?>
	<?php }
	endforeach; ?>
	<div class="clearfix clr"></div>
</div>
<div class="clearfix clr"></div>
